import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Contactoffice } from '../entity/contactoffice.entity';
type modelType = ReturnModelType<typeof Contactoffice>;
@Provide()
export class ContactofficeService extends BaseService<modelType> {
  @InjectEntityModel(Contactoffice)
  model: modelType;
  async query(filter, { skip, limit }): Promise<Array<any>> {
    const arr = [];
    const data = await this.model.findOne(filter);
    if (data) arr.push(data);
    return arr;
  }
}
