import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1';
const project = 'studioadmin';
export default {
  keys: '1679034709105_4696',
  koa: {
    globalPrefix: `/${project}/api`,
  },
  swagger: {
    swaggerPath: `/${project}/v1/api/doc`,
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${project}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
      basic: {
        uri: `mongodb://${ip}:27017/jcyjdtglpt`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entityBasic'],
      },
    },
  },
  redis: {
    // client: {
    //   port: 6379, // Redis port
    //   host: ip, // Redis host
    //   password: '123456',
    //   db: 4,
    // },
  },
  axios: {
    clients: {},
  },
} as MidwayConfig;
