import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'contactoffice' },
})
export class Contactoffice extends BaseModel {
  @prop({ required: false, index: true, zh: '绑定用户' })
  user_id: string;
  @prop({ required: false, index: false, zh: '信息内容' })
  content: string;
  @prop({
    required: false,
    index: true,
    zh: '是否启用',
    remark: '字典表',
    default: '0',
  })
  is_use: string;
}
