import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Notice } from '../entity/notice.entity';
type modelType = ReturnModelType<typeof Notice>;
@Provide()
export class NoticeService extends BaseService<modelType> {
  @InjectEntityModel(Notice)
  model: modelType;
}
