import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Techoldemand } from '../entity/techoldemand.entity';
type modelType = ReturnModelType<typeof Techoldemand>;
@Provide()
export class TecholdemandService extends BaseService<modelType> {
  @InjectEntityModel(Techoldemand)
  model: modelType;
}
